### Method

# FwupdPlugin Device get_child_by_logical_id

#### Declaration [src]

    FuDevice*
    fu_device_get_child_by_logical_id (
      FuDevice* self,
      const gchar* logical_id,
      GError** error
    )

#### Description [src]

Gets a child device by the logical ID.

Available since: | 2.0.17

#### Parameters

`logical_id` | `const gchar*`
| An ID, e.g. `CONFIG`
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `FuDevice`
| A device, or `NULL`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.